<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

$api = app('Dingo\Api\Routing\Router');

// JWT API

$api->version('v1', function ($api) {
    $api->group(['namespace' => 'App\Http\Controllers'], function ($api) {
        $api->post('/auth/login', 'AuthController@login');
        $api->post('/auth/register', 'AuthController@register');
        $api->post('/auth/recover', 'AuthController@recover');

        $api->group(['middleware' => ['jwt.auth']], function ($api) {
            $api->get('/auth/logout', 'AuthController@logout');
            $api->get('/auth/getuser', 'AuthController@checkAuth');
        });
    });
});
