<?php

/*
|--------------------------------------------------------------------------
| Board class
|--------------------------------------------------------------------------
|
| These are the API routes corresponding to board.
|
*/

// Category
Route::get('/api/rpc/board/category/getcategories', 'BoardController@getCategories');
Route::get('/api/rpc/board/category/getcategory/{id}', 'BoardController@getCategory');
Route::get('/api/rpc/board/category/getcategoryname/{id}', 'BoardController@getCategoryName');

// Forum
Route::get('/api/rpc/board/forum/getforumsincategory/{cat_id}', 'BoardController@getForumsInCategory');
Route::get('/api/rpc/board/forum/getforums', 'BoardController@getForums');
Route::get('/api/rpc/board/forum/getforum/{id}', 'BoardController@getForum');
Route::get('/api/rpc/board/forum/getforumname/{id}', 'BoardController@getForumName');

// Topic
Route::get('/api/rpc/board/topic/gettopics/{cat}/{from}/{to}', 'BoardController@getTopics');
Route::get('/api/rpc/board/topic/gettopicsunpinned/{cat}/{from}/{to}', 'BoardController@getTopicsUnpinned');
Route::get('/api/rpc/board/topic/gettopicspinned/{cat}', 'BoardController@getTopicsPinned');
Route::get('/api/rpc/board/topic/countunpinnedtopicsinforum/{for_id}', 'BoardController@countUnpinnedTopicsInForum');
Route::get('/api/rpc/board/topic/gettopic/{cat}/{from}/{to}', 'BoardController@getTopic');
Route::get('/api/rpc/board/topic/gettopiclock/{id}', 'BoardController@getTopicLock');
Route::get('/api/rpc/board/topic/gettopicname/{id}', 'BoardController@getTopicName');

// Post
Route::get('/api/rpc/board/post/getpostsintopic/{top}/{from}/{to}', 'BoardController@getPostsInTopic');
Route::get('/api/rpc/board/post/countpostsintopic/{top}', 'BoardController@countPostsInTopic');
Route::get('/api/rpc/board/post/getpost/{id}', 'BoardController@getPost');
Route::get('/api/rpc/board/post/getuserposts/{top}/{from}/{to}', 'BoardController@getuserPosts');
Route::get('/api/rpc/board/post/getuserpost/{id}', 'BoardController@getuserPost');