<?php

// namespace \App\Http\Controllers\Store;

/*
|--------------------------------------------------------------------------
| Store class
|--------------------------------------------------------------------------
|
| These are the API routes corresponding to store.
|
*/

// Category
Route::get('/api/rpc/store/category/getcategories', 'StoreController@getCategories');
Route::get('/api/rpc/store/category/getcategory/{id}', 'StoreController@getCategory');
Route::get('/api/rpc/store/category/getcategoryparent/{id}', 'StoreController@getCategoryParent');
Route::get('/api/rpc/store/category/getcategoryminscrot/{id}', 'StoreController@getCategoryMinScreenshots');
Route::get('/api/rpc/store/category/getcategoryname/{id}', 'StoreController@getCategoryName');

// Entry
// Just to test middleware.
Route::get('/api/rpc/store/entry/getallentries', 'StoreController@getAllEntries');
//->middleware('auth');
Route::get('/api/rpc/store/entry/getallapprovedentries', 'StoreController@getAllApprovedEntries');
Route::get('/api/rpc/store/entry/getallbrokenentries', 'StoreController@getAllBrokenEntries');
Route::get('/api/rpc/store/entry/getallpendingentries', 'StoreController@getAllPendingEntries');
Route::get('/api/rpc/store/entry/getnewentries', 'StoreController@getNewEntries');
Route::get('/api/rpc/store/entry/gethotentries', 'StoreController@getHotEntries');
Route::get('/api/rpc/store/entry/getentriespageall/{cat}/{from}/{to}', 'StoreController@getEntriesPageAll');
Route::get('/api/rpc/store/entry/getentriespageapproved/{cat}/{from}/{to}', 'StoreController@getEntriesPageApproved');
Route::get('/api/rpc/store/entry/getentriespagepopularview/{cat}/{from}/{to}', 'StoreController@getEntriesPagePopularView');
Route::get('/api/rpc/store/entry/getentriespagepopulardownload/{cat}/{from}/{to}', 'StoreController@getEntriesPagePopularDownload');
Route::get('/api/rpc/store/entry/getentry/{id}', 'StoreController@getEntry');
Route::get('/api/rpc/store/entry/getentryname/{id}', 'StoreController@getEntryName');
Route::get('/api/rpc/store/entry/getentriesincategory/{cat_id}', 'StoreController@getEntriesInCategory');
Route::get('/api/rpc/store/entry/countentriesincategory/{cat_id}', 'StoreController@countEntriesInCategory');
Route::get('/api/rpc/store/entry/countentriesincategoryfull/{cat_id}', 'StoreController@countEntriesInCategoryFull');
Route::post('/api/rpc/store/entry/insert', 'StoreController@insertEntry');
Route::post('/api/rpc/store/entry/update', 'StoreController@updateEntry');
Route::post('/api/rpc/store/entry/restore', 'StoreController@restoreEntry');
Route::post('/api/rpc/store/entry/remove', 'StoreController@removeEntry');
